Update a raised dispute
Update information related to a raised dispute, or change a dispute's status from draft to submitted or closed.
Note: Changing the status of a dispute to submitted or closed is a final action. You cannot make updates to a submitted or closed dispute. Make sure to upload all supporting attachments using the POST /disputes/{id}/attachments endpoint before you submit a dispute. When you update a dispute to submitted, Adyen sends the raised dispute to the card scheme for review and acquirer defense. When you update a raised dispute to closed, Adyen closes the dispute, and the dispute is no longer eligible for review by the card scheme.
The unique identifier of the raised dispute.
Additional information for raising a dispute of type cancelled. Required for disputes of type cancelled.
Additional information for raising a dispute of type duplicate. Required for disputes of type duplicate.
Additional information for raising a dispute of type fraud. Required for disputes of type fraud.
Additional information for raising a dispute of type notAsDescribed. Required for disputes of type notAsDescribed.
Additional information for raising a dispute of type notDelivered. Required for disputes of type notDelivered.
Additional information for raising a dispute of type other. Required for disputes of type other.
Note: The other dispute type is deprecated. Do not create or submit any disputes for this dispute type.
The current status of the dispute.
When you create a dispute, you can only set the status to draft. When you update a dispute, you can set the status to submitted or closed.
Possible values: draft, submitted, closed, won, chargeback, secondPresentment.
After submitting a call, you receive a response message to inform you that your request was received and processed.
Depending on the HTTP status code of the response message, it is helpful to build some logic to handle any errors that a request or the system may return.
HTTP Responses
200 - OK
The request has succeeded.
arnstringThe unique Acquirer Reference Number (arn) generated by the card scheme for each capture. You can use the
arnto trace the transaction through its lifecycle.cancelledInfoobjectAdditional information for raising a dispute of
typecancelled. Required for disputes oftypecancelled.attemptedToReturnbooleanIndicates if the cardholder attempted to return the merchandise but was unable to.
Possible values: true, false.
Required if the value of
didCardholderReturnis false.If the value of this parameter is true, provide information in
descriptionOfIssueabout how the cardholder attempted to return the goods, and what they did with the goods (for example, destroyed them).certificationGuaranteedReservationstringThe certification code for the guaranteed reservation.
Required if the value of
serviceTypeis guaranteedReservation (a guaranteed reservation).Possible values:
-
GR: The cardholder properly cancelled the guaranteed reservation.
-
RC: The cardholder attempted to cancel within 24 hours of delivery of the reservation confirmation.
-
AR: The merchant billed a "no-show transaction" for more than one day's accommodation or rental.
dateOfAttemptedReturnstringThe date, in YYYY-MM-DD format, when the cardholder attempted to return the goods they purchased.
Required if the value of
attemptedToReturnis true.dateOfCancellationstringThe date, in YYYY-MM-DD format, when the purchase was cancelled.
Required if the value of
certificationGuaranteedReservationis GR or RC, or if the value ofdidCardholderCancelBeforeShipmentis true.dateOfReturnstringThe date, in YYYY-MM-DD format, that the cardholder shipped or handed back the merchandise.
Required if the value of
didCardholderReturnis true.dateOfServicestringThe date, in YYYY-MM-DD format, that the service was scheduled to take place.
Required if the value of
serviceTypeis other (any other type of service) or guaranteedReservation (a guaranteed reservation).dateReturnReceivedstringThe date, in YYYY-MM-DD format, that the merchant received the returned merchandise.
Required if the value of
didCardholderReturnis true.descriptionOfIssuestringMax length: 2500Your description of the issue for raising a dispute of
typecancelled. Make sure the cardholder provides information that covers the following:-
A description of the goods or services purchased, and why they are cancelling the purchase.
-
If the goods or services were cancelled before shipment: A description of how the cardholder attempted to cancel the goods or services.
-
If the cardholder attempted to return the goods: A description of how the cardholder attempted to return the goods, and what they did with the goods (for example, destroyed them).
-
If the cardholder attempted to return the goods in a way other than through direct return shipment or face-to-face return at a merchant, how they attempted to return the goods.
Not required if the value of
goodsOrServicesis services, the value ofserviceTypeis timeshare or guaranteedReservation, and the value ofdidCardholderCancelBeforeShipmentis false.didCardholderCancelBeforeShipmentbooleanIndicates if the cardholder cancelled the purchase before the goods were shipped.
Possible values: true, false.
If the value of this parameter is true, provide information in
descriptionOfIssueabout how the cardholder attempted to cancel the goods or services.didCardholderReceiveGoodsbooleanIndicates if the cardholder received the merchandise.
Possible values: true, false.
Required if the value of
goodsOrServicesis goods.didCardholderReturnbooleanIndicates if the cardholder returned the merchandise to the merchant.
Possible values: true, false.
Required if the value of
didCardholderReceiveGoodsis true.goodsOrServicesstringThe type of purchase being disputed.
Possible values: goods, services.
lastExpectedDatestringThe date, in YYYY-MM-DD format, that the merchant promised delivery.
Required if the value of
goodsOrServicesis goods.merchantRefuseAdvisestringThe reason the merchant gave for refusing the return.
Required if the value of
attemptedToReturnis true.Possible values:
-
MRRA: The merchant refused to provide return authorization.
-
MRRM: The merchant refused to accept returned merchandise.
-
MICNRM: The merchant informed cardholder not to return the merchandise.
returnMethodstringThe method used to return the merchandise.
Required if the value of
didCardholderReturnis true.Possible values: faceToFace, fedEx, dhl, ups, postalService, other.
If the value of this parameter is other, or if the cardholder attempted a return but did not complete it, provide information in
descriptionOfIssueabout how the cardholder attempted to return the goods or services.serviceTypestringThe type of service purchased.
Required if the value of
goodsOrServicesis services.Possible values:
-
timeshare: A reservation for a timeshare.
-
guaranteedReservation: A guaranteed reservation (for example, a hotel or a car rental booking).
-
other: Any other type of service.
shippingTrackingNumberstringMax length: 50The tracking number for the shipment used to return the merchandise.
timeshareDatestringThe date, in YYYY-MM-DD format, associated with the timeshare purchase.
Required if the value of
serviceTypeis timeshare.wasCancellationPolicyProvidedbooleanIndicates if the merchant provided the cardholder with a cancellation policy.
Possible values: true, false.
Required if the value of
didCardholderReceiveGoodsis false, the value ofdidCardholderCancelBeforeShipmentis true, or the value ofserviceTypeis guaranteedReservation.whoCancelledstringThe party that initiated the cancellation of the purchase.
Required if the value of
serviceTypeis timeshare (a timeshare) or other (any other type of service), or if the value ofdidCardholderReceiveGoodsis false.Possible values: merchant, cardholder.
descriptionstringYour description for the dispute.
disputedAmountobjectThe amount for which you dispute the transaction. The disputed amount cannot be greater than the transaction amount. If you do not provide an amount, the entire transaction amount will be disputed.
currencystringThe three-character ISO currency code of the amount.
valueintegerThe numeric value of the amount, in minor units.
duplicateInfoobjectAdditional information for raising a dispute of
typeduplicate. Required for disputes oftypeduplicate.duplicateTransactionIdstringMin length: 1The transaction id associated with the duplicate charge for which you are disputing. The disputed transaction must be in the same amount as the duplicate transaction.
sameCardbooleanThe duplicate charge was made on the same card. Possible values: true, false.
sameIssuerbooleanThe issuer associated with each charge is the same. Possible values: true, false.
fraudInfoobjectAdditional information for raising a dispute of
typefraud. Required for disputes oftypefraud.cardDoesNotBelongToCardholderbooleanThe card is no longer in the cardholder's possession. Set to true if the card is lost or stolen.
cardWasCounterfeitedbooleanThe card was counterfeited.
descriptionOfIssuestringMax length: 2500Your description of the issue for raising a dispute of
typefraud.reportOnlybooleanSet to true to report fraud to Adyen with no further action, such as a request for a chargeback or fee reversal. The default value is false.
idstringThe unique identifier of the raised dispute.
notAsDescribedInfoobjectAdditional information for raising a dispute of
typenotAsDescribed. Required for disputes oftypenotAsDescribed.attemptedToReturnbooleanIndicates if the cardholder attempted to return the merchandise, but was unsuccessful. Required if the value of
didCardholderReturnis false.Possible values: true, false.
If the value of this parameter is true, provide information in
descriptionOfIssueabout how the cardholder attempted to return the merchandise and what happened to the merchandise when the return was unsuccessful.dateAttemptedToReturnstringThe date, in YYYY-MM-DD format, when the cardholder attempted to return the merchandise. Required if the value of
attemptedToReturnis true.dateOfCancellationstringThe date, in YYYY-MM-DD format, when the goods or services were cancelled by the cardholder. Required if the value of
whoCancelledis cardholder.dateOfFirstNegotiationsstringThe date, in YYYY-MM-DD format, that negotiations with the merchant began. Required if the value of
evidenceOfNegotiationsWithMerchantis true.dateOfReturnstringThe date, in YYYY-MM-DD format, when the cardholder shipped or handed back the merchandise to the merchant. Required if the value of
didCardholderReturnis true.dateReturnReceivedstringThe date, in YYYY-MM-DD format, when the merchant received the returned merchandise. Required if the value of
didCardholderReturnis true.descriptionOfIssuestringMax length: 2500Your description of the issue for raising a dispute of
typenotAsDescribed. Make sure the cardholder provides information that covers the following:-
A description of the goods or services purchased, and why they did not fit the description of what they thought they purchased.
-
If the cardholder cancelled services that they purchased: A description of how the services were cancelled.
-
If the cardholder attempted to negotiate a resolution: A description of the negotiations that took place with the merchant.
-
If the goods or services were cancelled before shipment: A description of how the cardholder attempted to cancel the goods or services.
-
If the cardholder attempted to return the goods: A description of how the cardholder attempted to return the goods and what they did with the goods (for example, destroyed them).
didAttemptToResolvebooleanIndicates if the cardholder attempted to resolve the issue directly with the merchant before raising the dispute.
Possible values: true, false.
didCardholderReturnbooleanIndicates if the cardholder returned the merchandise to the merchant. Required if the value of
goodsOrServicesis goods, or if the value ofdisputeDueTois defectiveMerchandise.Possible values: true, false.
didMerchantAcceptCancellationbooleanIndicates if the merchant accepted the cancellation. Required if the cardholder cancelled the service within 15 days of the current date.
Possible values: true, false.
disputeDueTostringIndicates the kind of dispute being raised by the cardholder.
Possible values: notAsDescribed, defectiveMerchandise.
evidenceOfNegotiationsWithMerchantbooleanIndicates if the cardholder attempted to negotiate a resolution with the merchant before raising the dispute. Required if more than 120 days have passed since both the
lastExpectedDateand the transaction processing date.Possible values: true, false.
If the value of this parameter is true, provide information in
descriptionOfIssueabout the negotiations that took place with the merchant.goodsOrServicesstringThe type of purchase being disputed. Required if the value of
disputeDueTois notAsDescribed.Possible values: goods, services.
isNonFiatOrNftbooleanIndicates if the transaction is non-fiat or non-fungible token (NFT) related. Required if the value of
goodsOrServicesis services.Possible values: true, false.
lastExpectedDatestringThe date, in YYYY-MM-DD format, that the merchant promised delivery of the goods or services.
reasonMerchantRefusedstringThe reason the merchant gave for refusing the return. Required if the value of
attemptedToReturnis true.Possible values:
-
MRRA: The merchant refused to provide return authorization.
-
MRRM: The merchant refused to accept the returned merchandise.
-
MICNRM: The merchant told the cardholder not to return the merchandise.
-
MNLER: The merchant no longer exists or is not responding.
-
MNPCIR: The merchant did not provide clear instructions on how to return the merchandise.
resolutionProhibitedByLawbooleanIndicates if local law prohibits the cardholder from attempting to resolve the issue with the merchant. Required if the value of
didAttemptToResolveis false. If this value is also false, the dispute cannot proceed.Possible values: true, false.
returnMethodstringThe method used to return the merchandise. Required if the value of
didCardholderReturnis true.Possible values: faceToFace, fedEx, dhl, ups, postalService, other.
If the value of this parameter is other, provide information in
descriptionOfIssueabout how the merchandise was returned.shippingTrackingNumberstringMax length: 50The tracking number for the shipment used to return the merchandise.
whoCancelledstringThe party that initiated cancellation of the service. Required if the value of
goodsOrServicesis services.Possible values: merchant, cardholder.
If the value of this parameter is cardholder, provide information in
descriptionOfIssueabout how the service was cancelled.notDeliveredInfoobjectAdditional information for raising a dispute of
typenotDelivered. Required for disputes oftypenotDelivered.agreedDeliveryLocationstringMax length: 500The delivery location specified by the cardholder. Required if deliveredToWrongLocation is true.
dateOfCancellationstringThe date the undelivered goods or services were cancelled in YYYY-MM-DD format.
deliveredToWrongLocationbooleanIndicates goods were delivered to the wrong location.
Possible values: true, false.
descriptionOfIssuestringMax length: 2500Your description of the issue for raising a dispute of
typenotDelivered.didCardholderReturnbooleanIndicates if the cardholder returned the goods to the merchant. Required if isDeliveryLate is true.
Possible values: true, false.
isDeliveryLatebooleanIndicates if the goods or services were delivered late. Required if whatWasNotDelivered is goods.
Possible values: true, false.
isMerchantBankruptbooleanIndicates if the transaction was processed by a bankrupt merchant.
Possible values: true, false.
isNonFiatOrNftbooleanIndicates if the transaction is non-fiat or non-fungible token (NFT) related.
Possible values: true, false.
lastExpectedDatestringThe date the undelivered goods or services were expected to be delivered in YYYY-MM-DD format.
whatWasNotDeliveredstringThe type of product that you expected to receive.
Possible values: goods, services.
whoCancelledstringThe party that initiated the cancellation of the transaction.
Possible values: merchant, cardholder.
otherInfoobjectAdditional information for raising a dispute of
typeother. Required for disputes oftypeother.Note: The other dispute
typeis deprecated. Do not create or submit any disputes for this disputetype.descriptionOfIssuestringMax length: 2500Your description of the issue for raising a dispute of
typeother.subTypestringThe specific category of other dispute that you are raising.
Possible values: atmDispute, cancelledGoodsServices, cancelledRecurring, counterfeit, creditNotProcessed, notAsDescribed.
whatWasPurchasedstringThe type of product that you purchased.
Possible values: goods, services.
statusstringThe current status of the dispute.
When you create a dispute, you can only set the
statusto draft. When you update a dispute, you can set thestatusto submitted or closed.Possible values: draft, submitted, closed, won, chargeback, secondPresentment.
transactionIdstringThe unique reference of the transaction for which you are raising the dispute.
typestringThe type of the dispute.
Possible values: cancelled, duplicate, fraud, notAsDescribed, notDelivered, other.
Note: The other dispute
typeis deprecated. Do not create or submit any disputes for this disputetype.-
401
Authentication required.
detailstringA human-readable explanation specific to this occurrence of the problem.
errorCodestringUnique business error code.
instancestringA URI that identifies the specific occurrence of the problem if applicable.
invalidFieldsarray[object]Array of fields with validation errors when applicable.
messagestringDescription of the validation error.
namestringThe field that has an invalid value.
valuestringThe invalid value.
requestIdstringThe unique reference for the request.
statusintegerThe HTTP status code.
titlestringA short, human-readable summary of the problem type.
typestringA URI that identifies the validation error type. It points to human-readable documentation for the problem type.
403
Insufficient permissions to process the request.
detailstringA human-readable explanation specific to this occurrence of the problem.
errorCodestringUnique business error code.
instancestringA URI that identifies the specific occurrence of the problem if applicable.
invalidFieldsarray[object]Array of fields with validation errors when applicable.
messagestringDescription of the validation error.
namestringThe field that has an invalid value.
valuestringThe invalid value.
requestIdstringThe unique reference for the request.
statusintegerThe HTTP status code.
titlestringA short, human-readable summary of the problem type.
typestringA URI that identifies the validation error type. It points to human-readable documentation for the problem type.
422
A request validation error.
detailstringA human-readable explanation specific to this occurrence of the problem.
errorCodestringUnique business error code.
instancestringA URI that identifies the specific occurrence of the problem if applicable.
invalidFieldsarray[object]Array of fields with validation errors when applicable.
messagestringDescription of the validation error.
namestringThe field that has an invalid value.
valuestringThe invalid value.
requestIdstringThe unique reference for the request.
statusintegerThe HTTP status code.
titlestringA short, human-readable summary of the problem type.
typestringA URI that identifies the validation error type. It points to human-readable documentation for the problem type.